{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/api_user/settlement_concept_account_user/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/api_user/settlement_concept_account_user/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_api_user_settlement_concept_account_user_overview', fetch_merged_url_parameters_by_session_key_name('settlementConceptAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">API-Nutzenden <i>{{ settlementConceptAccountUser.getFullName() }}</i> bearbeiten</span>
        {% if is_granted('edit', settlementConceptAccountUser) == true %}
            {{ form_widget(settlementConceptAccountUserForm.save, {'label': 'SPEICHERN', 'id': settlementConceptAccountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}

        {% set contextMenuListItems = [] %}

        {% if is_granted('edit', settlementConceptAccountUser) == true %}
            {% if settlementConceptAccountUser.isEnabled() == true %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'API-Nutzenden sperren',
                        'url': path('external_user_api_user_settlement_concept_account_user_block', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}),
                        'icon': 'block'
                    },
                ]) %}
            {% else %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'API-Nutzenden entsperren',
                        'url': path('external_user_api_user_settlement_concept_account_user_unblock', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}),
                        'icon': 'check'
                    },
                ]) %}
            {% endif %}
        {% endif %}

        {% if is_granted('delete', settlementConceptAccountUser) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'API-Nutzenden löschen',
                    'url': path('external_user_api_user_settlement_concept_account_user_delete', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}),
                    'icon': 'delete_forever'
                },
            ]) %}
        {% endif %}

        {% if is_granted('edit', settlementConceptAccountUser) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'Neuen API-Token generieren',
                    'url': path('external_user_api_user_settlement_concept_account_user_regenerate_api_token', {'settlementConceptAccountUserId': settlementConceptAccountUser.getId()}),
                    'icon': 'email'
                },
            ]) %}
        {% endif %}

        {% if contextMenuListItems is not empty %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'settlement_concept_account_user', 'listItems': contextMenuListItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if settlementConceptAccountUser.isEnabled() == false %}
            <div class="mdc-card mb-4 p-4 text-center text-danger">
                Dieser API-Nutzende ist aktuell gesperrt. Sie können ihn über den 3-Punkte-Button oben rechts entsperren.
            </div>
        {% endif %}
        <div class="mdc-card mb-4">
            <div class="p-4">
                {% if is_granted('edit', settlementConceptAccountUser) == true %}
                    {{ form_start(settlementConceptAccountUserForm, {'attr': {'id': settlementConceptAccountUserForm.vars.id ~ '_form'}}) }}
                {% endif %}
                {% include 'external_user/form/api_user/settlement_concept_account_user/settlement_concept_account_user_form.html.twig' with {'form': settlementConceptAccountUserForm} only %}
                {% if is_granted('edit', settlementConceptAccountUser) == true %}
                    {{ form_row(settlementConceptAccountUserForm._token) }}
                    {{ form_end(settlementConceptAccountUserForm, {'render_rest': false}) }}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
